@keyframes fade {
  0% {
    opacity: 0;
  }

  25% {
    opacity: .25;
  }

  50% {
    opacity: .5;
  }

  75% {
    opacity: .75;
  }

  100% {
    opacity: 1;
  }
}

.fade-animation {
  animation: fade .3s;
}


.modal-popup {

  .modal-wrapper {
    background-color: transparent;
    box-shadow: none;
  }

  .modal-icon {
    height: 50px;
    width: 50px;
    border-radius: 50%;
    padding: 0;

    ion-icon {
      font-size: 36px;
      margin-top: -8px;
    }
  }
}

.app-divider {
  background-color: #f8f9fa;
  padding: .25rem;
  margin: .25rem -1rem;
}

.backdrop {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0 0 0 / 40%);
}

.combobox-container {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  height: auto;
  box-shadow: 2px -2px 4px rgba(0, 0, 0, .1);
  background-color: #fff;
  z-index: 9999;

}

.modal-sm {
  --height: 250px;
  --width: 300px;
}

textarea {
  height: 8rem;
}

// Fix routerLink black border onFocus
:focus {
  outline: 0 !important;
}

ion-button {
  --box-shadow: none;
}

.img-thumbnail-icon {
  position: absolute;
  width: 25px;
  height: 25px;
  right: 4px;
  bottom: 0;
  line-height: 25px;
  background-color: var(--ion-color-white);
  border-radius: 50%;
  text-align: center;
  border: 1px solid var(--ion-color-primary);
}

.non-scrollbar {
  &::-webkit-scrollbar {
    width: 0;
    height: 0;
  }

  &::-webkit-scrollbar-thumb {
    width: 0;
    height: 0;
  }
}

.scroll-x {
  overflow-x: auto;
  overflow-y: hidden;
  white-space: nowrap;

  >* {
    display: inline-block;
    margin-right: .75rem;
  }

}

// ion-item::part(native) {
//   height: 100%;
// }

.item-editable {
  width: 32px;
  height: 32px;
  border-radius: 4px;
  font-size: 11px;
  margin-top: 4px;
  margin-right: 8px;

  &.edit {
    background-color: rgba(var(--ion-color-tertiary-rgb), .2);
    color: var(--ion-color-tertiary);
  }

  &.delete {
    background-color: rgba(var(--ion-color-danger-rgb), .2);
    color: var(--ion-color-danger);
  }

}

ion-item.item-input::part(native) {
  padding: 0;
}

.absolute-centered {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.ion-item-toggle {
  --border-color: var(--ion-color-primary);
  --border-style: dashed;
  --border-width: 1px;
  --border-radius: 4px;
  --min-height: auto;
  --color: var(--ion-color-primary);

  &.active {
    --background: var(--ion-color-primary);
    --color: var(--ion-color-white);
  }
}

.ion-segment-toggle {
  --background: var(--ion-color-primary);

  ion-segment-button {
    --color: var(--ion-color-white);

    &.active {
      --color: var(--ion-color-primary);
    }
  }
}

.ion-slides-custom {

  ion-slide {
    transition: all .3s linear;

    &.swiper-slide-prev,
    &.swiper-slide-next {
      transform: scale(.9);
      opacity: .4;
    }

    &.swiper-slide-prev {
      margin-left: 3rem;

      & + ion-slide.swiper-slide-active {
        margin-left: -3rem;
      }

    }

    &.swiper-slide-active {
      padding: 0 1rem;
    }

    &.swiper-slide-next {
      margin-left: -3rem;
    }

  }

}

.ion-input-custom {
  --padding-bottom: .75rem !important;
  --padding-top: .75rem !important;
  --padding-start: 1rem !important;
  --padding-end: 1rem !important;
  --background: var(--ion-color-light);
  --border-radius: .25rem;
  --margin-top: 1rem;
  --placeholder-color: var(--ion-color-medium);
  --color: var(--ion-color-dark);

  margin-top: var(--margin-top);
  border-radius: var(--border-radius);
}